summaryrefslogtreecommitdiff
path: root/tools/testing/selftests/rseq/run_timeslice_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/testing/selftests/rseq/run_timeslice_test.sh')
-rwxr-xr-xtools/testing/selftests/rseq/run_timeslice_test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/testing/selftests/rseq/run_timeslice_test.sh b/tools/testing/selftests/rseq/run_timeslice_test.sh
new file mode 100755
index 000000000000..551ebed71ec6
--- /dev/null
+++ b/tools/testing/selftests/rseq/run_timeslice_test.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0+
+
+# Prevent GLIBC from registering RSEQ so the selftest can run in legacy
+# and performance optimized mode.
+GLIBC_TUNABLES="${GLIBC_TUNABLES:-}:glibc.pthread.rseq=0"
+export GLIBC_TUNABLES
+
+./check_optimized || {
+ echo "Skipping optimized RSEQ mode test. Not supported";
+ exit 0
+}
+
+./slice_test